Ubunu 17.10

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

Ubunu 17.10

Sam Raby
Hi, Is there an installation instruction of how to install PCL on Ubnuut 17.10 without having to compile it?

Thanks
-S

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Ubunu 17.10

Bart Verhagen
Hi Sam,

There are upstream pre-compiled binary packages available in the universe-repository of Ubuntu, see here: https://packages.ubuntu.com/artful/libpcl-dev. Most Ubuntu installations have this mirror configured for APT by default.
So a simple 
sudo apt-get update && sudo apt-get install libpcl-dev' should do the job.

Regards,

Bart


Bart Verhagen,
Kapernikov
www.kapernikov.com


On Wed, Jun 6, 2018 at 10:30 PM, Sam Raby <[hidden email]> wrote:
Hi, Is there an installation instruction of how to install PCL on Ubnuut 17.10 without having to compile it?

Thanks
-S

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Ubunu 17.10

Sam Raby
I just installed PCL using the following command line =>  sudo apt install libpcl-dev

but, when I include the following in my source code => #include <pcl/visualization/pcl_visualizer.h>

I get the below error. Any idea why it is happening and how to fix it? Thanks!

error: 'class vtkMapper' has no member named 'ImmediateModeRenderingOn'
actor->GetMapper ()->ImmediateModeRenderingOn ();
                        ^~~~~~~~~~~~~~~~~~~~~~~~




On Thu, Jun 7, 2018 at 3:48 AM, Bart Verhagen <[hidden email]> wrote:
Hi Sam,

There are upstream pre-compiled binary packages available in the universe-repository of Ubuntu, see here: https://packages.ubuntu.com/artful/libpcl-dev. Most Ubuntu installations have this mirror configured for APT by default.
So a simple 
sudo apt-get update && sudo apt-get install libpcl-dev' should do the job.

Regards,

Bart


Bart Verhagen,
Kapernikov
www.kapernikov.com


On Wed, Jun 6, 2018 at 10:30 PM, Sam Raby <[hidden email]> wrote:
Hi, Is there an installation instruction of how to install PCL on Ubnuut 17.10 without having to compile it?

Thanks
-S

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Ubunu 17.10

Fabien Rozar
HI,

It seems like the installed vtk library on your machine doesn't match
the code in libpcl.

Can you share the version number of the installed vtk library please?
You should can it if you type this in a terminal:
dpkg -l libvtk*dev* | grep "^ii"

frozar

Le sam. 16 juin 2018 à 21:05, Sam Raby <[hidden email]> a écrit :
I just installed PCL using the following command line =>  sudo apt install libpcl-dev

but, when I include the following in my source code => #include <pcl/visualization/pcl_visualizer.h>

I get the below error. Any idea why it is happening and how to fix it? Thanks!

error: 'class vtkMapper' has no member named 'ImmediateModeRenderingOn'
actor->GetMapper ()->ImmediateModeRenderingOn ();
                        ^~~~~~~~~~~~~~~~~~~~~~~~




On Thu, Jun 7, 2018 at 3:48 AM, Bart Verhagen <[hidden email]> wrote:
Hi Sam,

There are upstream pre-compiled binary packages available in the universe-repository of Ubuntu, see here: https://packages.ubuntu.com/artful/libpcl-dev. Most Ubuntu installations have this mirror configured for APT by default.
So a simple 
sudo apt-get update && sudo apt-get install libpcl-dev' should do the job.

Regards,

Bart


Bart Verhagen,
Kapernikov
www.kapernikov.com


On Wed, Jun 6, 2018 at 10:30 PM, Sam Raby <[hidden email]> wrote:
Hi, Is there an installation instruction of how to install PCL on Ubnuut 17.10 without having to compile it?

Thanks
-S

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users


_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Ubunu 17.10

Sam Raby
Hi Fabien, when I run the command line, I get the following response:

ii  libvtk6-dev    6.3.0+dfsg1-10build1 amd64        VTK header files
ii  libvtk6-qt-dev 6.3.0+dfsg1-10build1 amd64        VTK header files, containing Qt files


On Mon, Jun 18, 2018 at 12:08 AM, Fabien Rozar <[hidden email]> wrote:
HI,

It seems like the installed vtk library on your machine doesn't match
the code in libpcl.

Can you share the version number of the installed vtk library please?
You should can it if you type this in a terminal:
dpkg -l libvtk*dev* | grep "^ii"

frozar

Le sam. 16 juin 2018 à 21:05, Sam Raby <[hidden email]> a écrit :
I just installed PCL using the following command line =>  sudo apt install libpcl-dev

but, when I include the following in my source code => #include <pcl/visualization/pcl_visualizer.h>

I get the below error. Any idea why it is happening and how to fix it? Thanks!

error: 'class vtkMapper' has no member named 'ImmediateModeRenderingOn'
actor->GetMapper ()->ImmediateModeRenderingOn ();
                        ^~~~~~~~~~~~~~~~~~~~~~~~




On Thu, Jun 7, 2018 at 3:48 AM, Bart Verhagen <[hidden email]> wrote:
Hi Sam,

There are upstream pre-compiled binary packages available in the universe-repository of Ubuntu, see here: https://packages.ubuntu.com/artful/libpcl-dev. Most Ubuntu installations have this mirror configured for APT by default.
So a simple 
sudo apt-get update && sudo apt-get install libpcl-dev' should do the job.

Regards,

Bart


Bart Verhagen,
Kapernikov
www.kapernikov.com


On Wed, Jun 6, 2018 at 10:30 PM, Sam Raby <[hidden email]> wrote:
Hi, Is there an installation instruction of how to install PCL on Ubnuut 17.10 without having to compile it?

Thanks
-S

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users


_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Ubunu 17.10

Fabien Rozar
Hello,

I was wondering if your error message can easily be check with 
the online VTK documentation.

After checking the 6.3 documentation, I found this:

In the class vtkMapper, you can see that the method 'ImmediateModeRenderingOn ()'
exists so it's not obvious why you have this error message.

You should check which VTK header is actually use (maybe in cmake log file).
You can also delete your build directory to launch a new clean cmake generation.

I cannot say more with so few information. Good luck,
frozar

Le mar. 19 juin 2018 à 04:12, Sam Raby <[hidden email]> a écrit :
Hi Fabien, when I run the command line, I get the following response:

ii  libvtk6-dev    6.3.0+dfsg1-10build1 amd64        VTK header files
ii  libvtk6-qt-dev 6.3.0+dfsg1-10build1 amd64        VTK header files, containing Qt files


On Mon, Jun 18, 2018 at 12:08 AM, Fabien Rozar <[hidden email]> wrote:
HI,

It seems like the installed vtk library on your machine doesn't match
the code in libpcl.

Can you share the version number of the installed vtk library please?
You should can it if you type this in a terminal:
dpkg -l libvtk*dev* | grep "^ii"

frozar

Le sam. 16 juin 2018 à 21:05, Sam Raby <[hidden email]> a écrit :
I just installed PCL using the following command line =>  sudo apt install libpcl-dev

but, when I include the following in my source code => #include <pcl/visualization/pcl_visualizer.h>

I get the below error. Any idea why it is happening and how to fix it? Thanks!

error: 'class vtkMapper' has no member named 'ImmediateModeRenderingOn'
actor->GetMapper ()->ImmediateModeRenderingOn ();
                        ^~~~~~~~~~~~~~~~~~~~~~~~




On Thu, Jun 7, 2018 at 3:48 AM, Bart Verhagen <[hidden email]> wrote:
Hi Sam,

There are upstream pre-compiled binary packages available in the universe-repository of Ubuntu, see here: https://packages.ubuntu.com/artful/libpcl-dev. Most Ubuntu installations have this mirror configured for APT by default.
So a simple 
sudo apt-get update && sudo apt-get install libpcl-dev' should do the job.

Regards,

Bart


Bart Verhagen,
Kapernikov
www.kapernikov.com


On Wed, Jun 6, 2018 at 10:30 PM, Sam Raby <[hidden email]> wrote:
Hi, Is there an installation instruction of how to install PCL on Ubnuut 17.10 without having to compile it?

Thanks
-S

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users


_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users


_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Ubunu 17.10

Sam Raby
Thanks for the response.
I got reply from vtk email list that this method 'ImmediateModeRenderingOn' is removed in vtk8.1. Is there a pre-compiled version of PCL that works with vtk8.1? If I want to use vtk8.1, how shall I proceed to be able to use PCL?

Thanks

On Tue, Jun 19, 2018 at 12:09 PM, Fabien Rozar <[hidden email]> wrote:
Hello,

I was wondering if your error message can easily be check with 
the online VTK documentation.

After checking the 6.3 documentation, I found this:

In the class vtkMapper, you can see that the method 'ImmediateModeRenderingOn ()'
exists so it's not obvious why you have this error message.

You should check which VTK header is actually use (maybe in cmake log file).
You can also delete your build directory to launch a new clean cmake generation.

I cannot say more with so few information. Good luck,
frozar

Le mar. 19 juin 2018 à 04:12, Sam Raby <[hidden email]> a écrit :
Hi Fabien, when I run the command line, I get the following response:

ii  libvtk6-dev    6.3.0+dfsg1-10build1 amd64        VTK header files
ii  libvtk6-qt-dev 6.3.0+dfsg1-10build1 amd64        VTK header files, containing Qt files


On Mon, Jun 18, 2018 at 12:08 AM, Fabien Rozar <[hidden email]> wrote:
HI,

It seems like the installed vtk library on your machine doesn't match
the code in libpcl.

Can you share the version number of the installed vtk library please?
You should can it if you type this in a terminal:
dpkg -l libvtk*dev* | grep "^ii"

frozar

Le sam. 16 juin 2018 à 21:05, Sam Raby <[hidden email]> a écrit :
I just installed PCL using the following command line =>  sudo apt install libpcl-dev

but, when I include the following in my source code => #include <pcl/visualization/pcl_visualizer.h>

I get the below error. Any idea why it is happening and how to fix it? Thanks!

error: 'class vtkMapper' has no member named 'ImmediateModeRenderingOn'
actor->GetMapper ()->ImmediateModeRenderingOn ();
                        ^~~~~~~~~~~~~~~~~~~~~~~~




On Thu, Jun 7, 2018 at 3:48 AM, Bart Verhagen <[hidden email]> wrote:
Hi Sam,

There are upstream pre-compiled binary packages available in the universe-repository of Ubuntu, see here: https://packages.ubuntu.com/artful/libpcl-dev. Most Ubuntu installations have this mirror configured for APT by default.
So a simple 
sudo apt-get update && sudo apt-get install libpcl-dev' should do the job.

Regards,

Bart


Bart Verhagen,
Kapernikov
www.kapernikov.com


On Wed, Jun 6, 2018 at 10:30 PM, Sam Raby <[hidden email]> wrote:
Hi, Is there an installation instruction of how to install PCL on Ubnuut 17.10 without having to compile it?

Thanks
-S

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users


_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users


_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Ubunu 17.10

Sam Raby
Is there a pre-compiled version of PCL that works with vtk8.1? If I want to use vtk8.1, how shall I proceed to be able to use PCL with it? 

vtk8.1 is not too new but it was released last December.

Thank you


On Wed, Jun 20, 2018 at 8:10 AM, Sam Raby <[hidden email]> wrote:
Thanks for the response.
I got reply from vtk email list that this method 'ImmediateModeRenderingOn' is removed in vtk8.1. Is there a pre-compiled version of PCL that works with vtk8.1? If I want to use vtk8.1, how shall I proceed to be able to use PCL?

Thanks

On Tue, Jun 19, 2018 at 12:09 PM, Fabien Rozar <[hidden email]> wrote:
Hello,

I was wondering if your error message can easily be check with 
the online VTK documentation.

After checking the 6.3 documentation, I found this:

In the class vtkMapper, you can see that the method 'ImmediateModeRenderingOn ()'
exists so it's not obvious why you have this error message.

You should check which VTK header is actually use (maybe in cmake log file).
You can also delete your build directory to launch a new clean cmake generation.

I cannot say more with so few information. Good luck,
frozar

Le mar. 19 juin 2018 à 04:12, Sam Raby <[hidden email]> a écrit :
Hi Fabien, when I run the command line, I get the following response:

ii  libvtk6-dev    6.3.0+dfsg1-10build1 amd64        VTK header files
ii  libvtk6-qt-dev 6.3.0+dfsg1-10build1 amd64        VTK header files, containing Qt files


On Mon, Jun 18, 2018 at 12:08 AM, Fabien Rozar <[hidden email]> wrote:
HI,

It seems like the installed vtk library on your machine doesn't match
the code in libpcl.

Can you share the version number of the installed vtk library please?
You should can it if you type this in a terminal:
dpkg -l libvtk*dev* | grep "^ii"

frozar

Le sam. 16 juin 2018 à 21:05, Sam Raby <[hidden email]> a écrit :
I just installed PCL using the following command line =>  sudo apt install libpcl-dev

but, when I include the following in my source code => #include <pcl/visualization/pcl_visualizer.h>

I get the below error. Any idea why it is happening and how to fix it? Thanks!

error: 'class vtkMapper' has no member named 'ImmediateModeRenderingOn'
actor->GetMapper ()->ImmediateModeRenderingOn ();
                        ^~~~~~~~~~~~~~~~~~~~~~~~




On Thu, Jun 7, 2018 at 3:48 AM, Bart Verhagen <[hidden email]> wrote:
Hi Sam,

There are upstream pre-compiled binary packages available in the universe-repository of Ubuntu, see here: https://packages.ubuntu.com/artful/libpcl-dev. Most Ubuntu installations have this mirror configured for APT by default.
So a simple 
sudo apt-get update && sudo apt-get install libpcl-dev' should do the job.

Regards,

Bart


Bart Verhagen,
Kapernikov
www.kapernikov.com


On Wed, Jun 6, 2018 at 10:30 PM, Sam Raby <[hidden email]> wrote:
Hi, Is there an installation instruction of how to install PCL on Ubnuut 17.10 without having to compile it?

Thanks
-S

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users


_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users


_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users




_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Ubunu 17.10

Fabien Rozar
Hello,

These information are really relevant. You should open an issue on the github,
you should get more support and interactive answer from the administrators of
the project:

Cheers,
frozar

Le dim. 24 juin 2018 à 17:05, Sam Raby <[hidden email]> a écrit :
Is there a pre-compiled version of PCL that works with vtk8.1? If I want to use vtk8.1, how shall I proceed to be able to use PCL with it? 

vtk8.1 is not too new but it was released last December.

Thank you


On Wed, Jun 20, 2018 at 8:10 AM, Sam Raby <[hidden email]> wrote:
Thanks for the response.
I got reply from vtk email list that this method 'ImmediateModeRenderingOn' is removed in vtk8.1. Is there a pre-compiled version of PCL that works with vtk8.1? If I want to use vtk8.1, how shall I proceed to be able to use PCL?

Thanks

On Tue, Jun 19, 2018 at 12:09 PM, Fabien Rozar <[hidden email]> wrote:
Hello,

I was wondering if your error message can easily be check with 
the online VTK documentation.

After checking the 6.3 documentation, I found this:

In the class vtkMapper, you can see that the method 'ImmediateModeRenderingOn ()'
exists so it's not obvious why you have this error message.

You should check which VTK header is actually use (maybe in cmake log file).
You can also delete your build directory to launch a new clean cmake generation.

I cannot say more with so few information. Good luck,
frozar

Le mar. 19 juin 2018 à 04:12, Sam Raby <[hidden email]> a écrit :
Hi Fabien, when I run the command line, I get the following response:

ii  libvtk6-dev    6.3.0+dfsg1-10build1 amd64        VTK header files
ii  libvtk6-qt-dev 6.3.0+dfsg1-10build1 amd64        VTK header files, containing Qt files


On Mon, Jun 18, 2018 at 12:08 AM, Fabien Rozar <[hidden email]> wrote:
HI,

It seems like the installed vtk library on your machine doesn't match
the code in libpcl.

Can you share the version number of the installed vtk library please?
You should can it if you type this in a terminal:
dpkg -l libvtk*dev* | grep "^ii"

frozar

Le sam. 16 juin 2018 à 21:05, Sam Raby <[hidden email]> a écrit :
I just installed PCL using the following command line =>  sudo apt install libpcl-dev

but, when I include the following in my source code => #include <pcl/visualization/pcl_visualizer.h>

I get the below error. Any idea why it is happening and how to fix it? Thanks!

error: 'class vtkMapper' has no member named 'ImmediateModeRenderingOn'
actor->GetMapper ()->ImmediateModeRenderingOn ();
                        ^~~~~~~~~~~~~~~~~~~~~~~~




On Thu, Jun 7, 2018 at 3:48 AM, Bart Verhagen <[hidden email]> wrote:
Hi Sam,

There are upstream pre-compiled binary packages available in the universe-repository of Ubuntu, see here: https://packages.ubuntu.com/artful/libpcl-dev. Most Ubuntu installations have this mirror configured for APT by default.
So a simple 
sudo apt-get update && sudo apt-get install libpcl-dev' should do the job.

Regards,

Bart


Bart Verhagen,
Kapernikov
www.kapernikov.com


On Wed, Jun 6, 2018 at 10:30 PM, Sam Raby <[hidden email]> wrote:
Hi, Is there an installation instruction of how to install PCL on Ubnuut 17.10 without having to compile it?

Thanks
-S

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users


_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users


_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users



_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users